LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XNamedRange Interface Referencepublished

provides access to the settings of a named range in a spreadsheet document. More...

`import"XNamedRange.idl";`

Inheritance diagram for XNamedRange:

## Public Member Functions
string | getContent ()
| returns the content of the named range. More...
void | setContent ([in] string aContent)
| sets the content of the named range. More...
com::sun::star::table::CellAddress | getReferencePosition ()
| returns the position in the document which is used as a base for relative references in the content. More...
void | setReferencePosition ([in] com::sun::star::table::CellAddress aReferencePosition)
| sets the position in the document which is used as a base for relative references in the content. More...
long | getType ()
| returns the type of the named range. More...
void | setType ([in] long nType)
| sets the type of the named range. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the settings of a named range in a spreadsheet document.

See also
  com::sun::star::sheet::NamedRange

## Member Function Documentation

## ◆ getContent()

string getContent | ( |  | ) |

returns the content of the named range.

The content can be a reference to a cell or cell range or any formula expression.

## ◆ getReferencePosition()

com::sun::star::table::CellAddress getReferencePosition | ( |  | ) |

returns the position in the document which is used as a base for relative references in the content.

## ◆ getType()

long getType | ( |  | ) |

returns the type of the named range.

This is a combination of flags as defined in NamedRangeFlag.

## ◆ setContent()

void setContent | ( | [in] string | aContent | ) |

sets the content of the named range.

The content can be a reference to a cell or cell range or any formula expression.

## ◆ setReferencePosition()

void setReferencePosition | ( | [in] com::sun::star::table::CellAddress | aReferencePosition | ) |

sets the position in the document which is used as a base for relative references in the content.

## ◆ setType()

void setType | ( | [in] long | nType | ) |

sets the type of the named range.

Parameters

  nType | a combination of flags that specify the type of a named range, as defined in NamedRangeFlag.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XNamedRange.idl